### Hierarchy

- Configuration

## Index

### Constructors

- constructor

### Accessors

- accessToken
- apiKey
- basePath
- credentials
- fetchApi
- headers
- middleware
- password
- queryParamsStringify
- username

## Constructors

### constructor

- new Configuration(configuration?: ConfigurationParameters ): Configuration

- - Defined in src/generated/runtime.ts:144

  #### Parameters

  - ##### configuration: ConfigurationParameters = {}

  #### Returns Configuration

## Accessors

### accessToken

- get accessToken(): (name?: string, scopes?: string[]) => string | Promise<string>

- - Defined in src/generated/runtime.ts:179

  #### Returns (name?: string, scopes?: string[]) => string | Promise<string>

  - - (name?: string, scopes?: string[]): string | Promise<string>

    - #### Parameters

      - ##### Optional name: string

      - ##### Optional scopes: string[]

      #### Returns string | Promise<string>

### apiKey

- get apiKey(): (name: string) => string

- - Defined in src/generated/runtime.ts:171

  #### Returns (name: string) => string

  - - (name: string): string

    - #### Parameters

      - ##### name: string

      #### Returns string

### basePath

- get basePath(): string

- - Defined in src/generated/runtime.ts:147

  #### Returns string

### credentials

- get credentials(): RequestCredentials

- - Defined in src/generated/runtime.ts:191

  #### Returns RequestCredentials

### fetchApi

- get fetchApi(): (input: RequestInfo, init?: RequestInit) => Promise<Response>

- - Defined in src/generated/runtime.ts:151

  #### Returns (input: RequestInfo, init?: RequestInit) => Promise<Response>

  - - (input: RequestInfo, init?: RequestInit): Promise<Response>

    - #### Parameters

      - ##### input: RequestInfo

      - ##### Optional init: RequestInit

      #### Returns Promise<Response>

### headers

- get headers(): HTTPHeaders

- - Defined in src/generated/runtime.ts:187

  #### Returns HTTPHeaders

### middleware

- get middleware(): Middleware []

- - Defined in src/generated/runtime.ts:155

  #### Returns Middleware []

### password

- get password(): string

- - Defined in src/generated/runtime.ts:167

  #### Returns string

### queryParamsStringify

- get queryParamsStringify(): (params: HTTPQuery ) => string

- - Defined in src/generated/runtime.ts:159

  #### Returns (params: HTTPQuery ) => string

  - - (params: HTTPQuery ): string

    - #### Parameters

      - ##### params: HTTPQuery

      #### Returns string

### username

- get username(): string

- - Defined in src/generated/runtime.ts:163

  #### Returns string

Generated using TypeDoc